<?php

/**
 * ErrorController
 *
 * @author
 * @version
 */

require_once 'Zend/Controller/Action.php';

class ErrorController extends Creq_Controller_Action {

    protected $_exceptions;

    public function errorAction() {
        $this->_exceptions = $this->getResponse()->getException();
        if ($this->_exceptions[0] instanceof Zend_Controller_Action_Exception && $this->_exceptions[0]->getCode() == 404 ||
            $this->_exceptions[0] instanceof Zend_Controller_Dispatcher_Exception && substr($this->_exceptions[0]->getMessage(), 0, 28) == 'Invalid controller specified') {
            $this->getResponse()->setHttpResponseCode(404);
            $this->render('404');
            return;
        }

        if ($_SERVER['REMOTE_ADDR'] == '129.93.23.68' || $_SERVER['REMOTE_ADDR'] == '129.93.17.83' || $_SERVER['REMOTE_ADDR'] == '129.93.239.115' || $_SERVER['REMOTE_ADDR'] == '127.0.0.1') {
            header('Content-type: text/plain; charset=UTF-8');
            //Add a Unicode byte-order marker for Chrome
            echo chr(0xEF), chr(0xBB), chr(0xBF);
            print_r($this->_exceptions);
            exit;
        }

        $this->_sendEmail('tsteiner2@unl.edu','nbarry@unl.edu','rfeese@unl.edu');
        $this->view->exceptions = $this->_exceptions;
    }

    protected function _sendEmail($address, $moreAddresses = '...')
    {
        $mail = new Zend_Mail('utf-8');
        $mail->setFrom('php@' . $_SERVER['SERVER_NAME'], $_SERVER['SERVER_NAME']);
        $mail->setSubject('Exception Report');

        foreach(func_get_args() as $address)
        {
            if(is_array($address)) {
                $mail->addTo($address[0], $address[1]);
            } else {
                $mail->addTo($address);
            }
        }

        $date = date('Y-m-d');
        $time = date('H:i');
        $body = "The following exception occurred on $date at $time.\n\n"
              . print_r($this->_exceptions, true)
              . "\nRequest URI: " . $_SERVER['REQUEST_URI'] . "\n"
              . "User Agent: " . $_SERVER['HTTP_USER_AGENT'] . "\n"
              . "User IP Address :" . $_SERVER['REMOTE_ADDR'] ."\n";

        if(count($_GET) > 0) {
            $body .= "\nGET variables: \n"
                   . print_r($_GET, true);
        }
        if(count($_POST) > 0) {
            $body .= "\nPOST variables: \n"
                   . print_r($_POST, true);
        }
        /*
        if(session_id() && ($_SESSION) > 0) {
            $body .= "\nSESSION variables: \n"
                   . print_r($_SESSION, true);
        }
        */

        $mail->setBodyText('See HTML');
        $mail->setBodyHtml("<pre>\n" . $body . "\n</pre>\n");
        $mail->send();
    }
}
