<?php

class Requests_NotificationController extends Creq_Controller_Action 
{
    public function preDispatch()
    {
        $user = Auth_UserModel::findCurrentUser();
        $roles = Auth_GroupModel::findByUser($user);
        if (!in_array(1, $roles->getId())) {
            throw new Exception('You must be logged in to view this page.');
        }
    }
    
	public function indexAction()
	{
		$this->view->notifications = Creq_RequestNotification::getNotifications();
	}

	public function editMessageAction()
	{
	    $messageTextModel = RegistryModel::findByNamespaceAndKey('Email Notification', 'message-text');
	    $messageHtmlModel = RegistryModel::findByNamespaceAndKey('Email Notification', 'message-html');
	    $this->view->text = $messageTextModel->getData();
	    $this->view->html = $messageHtmlModel->getData();
	}
	
	public function editMessagePostAction()
	{
	    $message = $this->_getParam('text');
	    $messageTextModel = RegistryModel::findByNamespaceAndKey('Email Notification', 'message-text');
	    $messageTextModel->setData($message);
	    RegistryModel::save($messageTextModel);
	    
	    $message = $this->_getParam('html');
	    $messageHtmlModel = RegistryModel::findByNamespaceAndKey('Email Notification', 'message-html');
	    $messageHtmlModel->setData($message);
	    RegistryModel::save($messageHtmlModel);
	    
	    $this->_redirect('requests/notification/edit-message');
	}
}