<?php

class Requests_RequestTypeAdminController extends Creq_Controller_Action
{
    public function preDispatch()
    {
        $user = Auth_UserModel::findCurrentUser();
        $roles = Auth_GroupModel::findByUser($user);
        if (!in_array(1, $roles->getId())) {
            throw new Exception('You must be logged in to view this page.');
        }
    }
    
	public function indexAction()
	{
		$requestTypes = Requests_RequestTypeModel::findAll();
		$this->view->requestTypes = $requestTypes;
	}

	public function editAction()
	{
		$in = $this->_getAllParams();
		$requestType = Requests_RequestTypeModel::find($in['id']);
		if (!$requestType) {
			$requestType = Requests_RequestTypeModel::fetchNew();
		}
		
		$this->view->requestType = $requestType;
	}
	
	public function editPostAction()
	{
		$in = $this->_getAllParams();
		
        $requestType = Requests_RequestTypeModel::find($in['id']);
        if (!$requestType) {
            $requestType = Requests_RequestTypeModel::fetchNew();
        }
        
        $requestType->setName($in['name']);
        $requestType->setDescription($in['description']);
        $requestType->setModule($in['module']);
        
        Requests_RequestTypeModel::save($requestType);
        
        $this->_redirect('/requests/request-type-admin/edit/id/' . $requestType->getId());
	}
}
