WDN.jQuery(function() {
    var collegeSelect = WDN.jQuery('#college');
    var majorSelect = WDN.jQuery('#major');
    var form = majorSelect.parent();

    var hiddenSelect = WDN.jQuery('<select></select>');
    hiddenSelect.hide();
    hiddenSelect.attr('disabled', 'disabled');
    form.append(hiddenSelect);

    majorSelect.find('optgroup').each(function() {
        hiddenSelect.append(this);
    });
    majorSelect.find('option').each(function() {
        WDN.jQuery(this).remove();
    });


    collegeSelect.on('change', function() {
        var selectedCollege = majorSelect.data('currentCollege');
        hiddenSelect.find('optgroup').each(function() {
            if (this.label != selectedCollege) {
                return;
            }
            WDN.jQuery(this).append(majorSelect.find('option'));
        });

        selectedCollege = this.value;
        hiddenSelect.find('optgroup').each(function() {
            if (this.label != selectedCollege) {
                return;
            }
            majorSelect.append(WDN.jQuery(this).find('option'));
        });
        majorSelect.data('currentCollege', selectedCollege);

    });

    collegeSelect.change();
});