addLoadEvent(onLoadPublicView);

function onLoadPublicView()
{
    if (document.getElementById('backToResultsButton')) {
        document.getElementById('backToResultsButton').onclick = function() {
            location.href = document.getElementById('backToResultsButton').getAttribute("data-return-url");
        };
    }
    
    var viewDetailsLinks = getElementsByClassName('viewDetailsLink');
    for (var i = viewDetailsLinks.length - 1; i >= 0; i--) {
        viewDetailsLinks[i].onclick = handleViewDetailsLinkClick;
    }
    
    document.getElementById('viewAllDetailsButton').onclick = handleViewAllDetailsClick;
    document.getElementById('returnToHistoryButton').onclick = handleReturnToHistoryClick;
    document.getElementById('printButton').onclick = function() {
        window.print();
    }

    if (document.getElementById('requestCommentsContainer')) {
        getElementsByClassName('box_shadow_2', document.getElementById('requestCommentsContainer'))[0].onclick();
    }
    
}

function handleViewDetailsLinkClick()
{
    var requestId = this.id.substr(15);
    document.getElementById('historyTable').style.display = 'none';
    document.getElementById('viewAllDetailsButton').style.display = 'none';
    document.getElementById('returnToHistoryButton').style.display = 'inline';
    document.getElementById('requestDetailsContainer').style.display = 'block';

    var requestDetails = getElementsByClassName('requestDetail');
    for (var i = requestDetails.length - 1; i >= 0; i--) {
        requestDetails[i].style.display = 'none';
    }
    
    document.getElementById('requestDetail' + requestId).style.display = 'block';
    
    return false;
}

function handleViewAllDetailsClick()
{
    document.getElementById('historyTable').style.display = 'none';
    document.getElementById('viewAllDetailsButton').style.display = 'none';
    document.getElementById('returnToHistoryButton').style.display = 'inline';
    document.getElementById('requestDetailsContainer').style.display = 'block';
    var requestDetails = getElementsByClassName('requestDetail');
    for (var i = requestDetails.length - 1; i >= 0; i--) {
        requestDetails[i].style.display = 'block';
    }
    
    return false;
}

function handleReturnToHistoryClick()
{
    document.getElementById('requestDetailsContainer').style.display = '';
    var requestDetails = getElementsByClassName('requestDetail');
    for (var i = requestDetails.length - 1; i >= 0; i--) {
        requestDetails[i].style.display = '';
    }

    document.getElementById('historyTable').style.display = '';
    document.getElementById('viewAllDetailsButton').style.display = '';
    document.getElementById('returnToHistoryButton').style.display = '';
    
    return false;
}
