function myCustomCleanup(type, value) {
    switch (type) {
        case "get_from_editor":
            value = value.replace(/&lt;![ \r\n\t]*(--([^\-]|[\r\n]|-[^\-])*--[ \r\n\t]*)&gt;/gi, "");
            value = value.replace(/<![ \r\n\t]*(--([^\-]|[\r\n]|-[^\-])*--[ \r\n\t]*)>/gi, "");
            // Do custom cleanup code here
            break;
    }

    return value;
}

tinyMCE.init({
    mode    : "textareas",
    theme   : "advanced",
    plugins : "spellchecker",//, crosslistings, noneditable",
    editor_selector : "mceEditor",
    entity_encoding : "raw",
    theme_advanced_toolbar_location : "top",
    theme_advanced_toolbar_align    : "left",
    theme_advanced_buttons1 : "bold, italic, underline, sub, sup, spellchecker", //, crosslistings",
    theme_advanced_buttons2 : "",
    theme_advanced_buttons3 : "",
    noneditable_noneditable_class : "mceNonEditable",
    valid_elements : ""
                   + "-strong/-b,"
                   + "-em/-i,"
                   + "-sub,"
                   + "-sup,"
                   + "br",
    cleanup_callback : "myCustomCleanup",
    force_br_newlines : true,
    force_p_newlines : false,
    forced_root_block : ''
});
