<?php

class Iace_IndexController extends Creq_Controller_Action 
{

	public function indexAction()
	{
        $this->_disableLayoutAndView();
        
		$iAceRole = Requests_ApprovalRoleModel::find(114);
		$requests = Requests_RequestModel::findByWatchingRole($iAceRole);
		$proposedCourses = Courses_CourseModel::findLatestOfRequest($requests);
		$parentCourses = Courses_CourseModel::findParentOfRequest($requests);
		echo ''
           . 'Course Code' . "\t"
           . 'Title' . "\t"
           . 'Crosslistings' . "\t"
           . 'Activities' . "\t"
           . 'Credits' . "\t"
           . 'Grading Type' . "\t"
           . 'DF Removal' . "\t"
           . 'Campuses' . "\t"
           . 'DelivelyMethods' . "\t"
           . 'Terms Offered' . "\t"
           . 'Effective Semester' . "\t"
           . 'Prerequisite' . "\t"
           . 'Notes' . "\t"
           . 'Description' . "\t"
           . 'Grad Credits' . "\t"
           . 'Grad Notes' . "\t"
           . 'Grad Prerequisites' . "\t"
           . 'Request Type' . "\t"
           . 'Justification' . "\t"
           . 'ACE Outcomes' . "\t"
           . 'ACE Reinforcements' . "\t"
		   . "\n";
	    foreach ($requests as $request) {
	    	$parentCourse = $parentCourses[$request->getId()];
	    	$proposedCourse = $proposedCourses[$request->getId()];
	    	$course = $proposedCourse;
	    	
	    	$gradTieIn = $course->getGradTieIn();
	    	$aceOutcomes = $course->getAceOutcomes();
	    	$aceOutcomeText = '';
	    	foreach ($aceOutcomes as $aceOutcome) {
	    		$aceOutcomeText .= $aceOutcome['name'] . ':'
	    		                 . $aceOutcome['justification'] . ':'
	    		                 . $aceOutcome['studentWork'] . ':'
	    		                 . $aceOutcome['assesmentPlan'] . ';';
	    	}
	    	$aceOutcomeText = strtr($aceOutcomeText, array("\n" => ' ', "\r" => ' ', "\t" => ' '));
	    	
	    	$aceReinforcements = $course->getAceReinforcements();
	    	$aceReinforcementText = '';
	    	foreach ($aceReinforcements as $aceReinforcement) {
	    		$aceReinforcementText .= $aceReinforcement['name'] . ':'
	    		                       . $aceReinforcement['description'] . ';';
	    	}
            $aceReinforcementText = strtr($aceReinforcementText, array("\n" => ' ', "\r" => ' ', "\t" => ' '));
	    	
	    	echo ''
	    	   . $course->getCourseCode() . "\t"
	    	   . $course->getTitle() . "\t"
	    	   . $course->getCrosslistingsText() . "\t"
	    	   . $course->getActivityText() . "\t"
	    	   . $course->getCreditsText() . "\t"
	    	   . $course->getGradingType() . "\t"
	    	   . $course->getDfRemoval() . "\t"
	    	   . implode(', ', $course->getCampuses()) . "\t"
	    	   . implode(', ', $course->getDeliveryMethods()) . "\t"
	    	   . implode(', ', $course->getTermsOffered()) . "\t"
	    	   . $course->getEffectiveSemesterDescription() . "\t"
	    	   . $course->getPrerequisite() . "\t"
	    	   . $course->getNotes() . "\t"
	    	   . $course->getDescription() . "\t"
               . $gradTieIn['credits'] . "\t"
               . $gradTieIn['notes'] . "\t"
               . $gradTieIn['prerequisites'] . "\t"
               . $request->getTypeDescription() . "\t"
               . $request->getJustification() . "\t"
               . $aceOutcomeText . "\t"
               . $aceReinforcementText . "\t"
	    	   . "\n";
	    }
	}
	
}