addLoadEvent(onLoadViewRequest);

function onLoadViewRequest()
{
    var tabBar = getElementsByClassName('tabBar');
    tabBar = tabBar[0];

    if (tabBar) {
        var tabs = tabBar.getElementsByTagName('a');
        for (var i = 0; i < tabs.length; i++) {
            tabs[i].onclick = viewRequestSelectTab;
        }
    }

    var submitButton = document.getElementById('submit_request');
    if (submitButton) {
        submitButton.onclick = showLoading;
    }
}

function viewRequestSelectTab()
{
    var commentsContent = document.getElementById('commentsContent');
    var privateCommentsContent = document.getElementById('privateCommentsContent');

    var commentsTab = document.getElementById('commentsTab');
    var privateCommentsTab = document.getElementById('privateCommentsTab');

    commentsContent.style.display = 'none';
    privateCommentsContent.style.display = 'none';

    commentsTab.className = '';
    privateCommentsTab.className = '';

    this.className = 'selected';
    var ajax = new AjaxClient();
    ajax.sendRequest(baseUrl + '/courses/view/set-comment-tab/tabName/' + this.id);

    if (this.id == 'commentsTab') {
        commentsContent.style.display = 'block';
    } else if (this.id == 'privateCommentsTab') {
        privateCommentsContent.style.display = 'block';
    }

    return false;
}

