var _GET = new Array();
var baseUrl;

function handleOnLoad(theBaseUrl)
{
    baseUrl = theBaseUrl;
    var qs = window.location.search.substr(1).split('&');
    for(var i = 0; i < qs.length; i++) {
        qs[i] = qs[i].split('=');
        _GET[qs[i][0]] = qs[i][1];
    }

    var titledBoxes = getElementsByClass('titled_box');
    for (var i = 0; i < titledBoxes.length; i++) {
        var titledBox = titledBoxes[i];

        var header = getElementsByClass('box_shadow_2', titledBox);
        header = header[0];

        header.onclick = function() {
            var content = getElementsByClass('content', this.parentNode);
            content = content[0];
            var toggleArrow = getElementsByClass('toggle_arrow', this);
            toggleArrow = toggleArrow[0];

            if (content.style.display == 'none') {
                content.style.display = 'block';
                toggleArrow.src = baseUrl + '/images/index/arrow1.png';
            } else {
                content.style.display = 'none';
                toggleArrow.src = baseUrl + '/images/index/arrow2.png';
            }
        }
    }
    

    // this should be last
    for(var i = 0; i < loadEvents.length; i++) {
        loadEvents[i]();
    }
}

var loadEvents = Array();
function addLoadEvent(func) {
    loadEvents[loadEvents.length] = func;
}

//borrowed from http://codestore.net/store.nsf/unid/BLOG-20060313
String.prototype.trim = function() {
    a = this.replace(/^\s+/, '');
    return a.replace(/\s+$/, '');
};
//end borrowed code

// getElementsByClass borrowed from http://www.dustindiaz.com/top-ten-javascript/
// written by Dustin Diaz
function getElementsByClass(searchClass,node,tag) {
        var classElements = new Array();
        if ( node == null )
                node = document;
        if ( tag == null )
                tag = '*';
        var els = node.getElementsByTagName(tag);
        var elsLen = els.length;

        var pattern = new RegExp('(^|\\s)'+searchClass+'(\\s|$)');
        for (i = 0, j = 0; i < elsLen; i++) {
                if ( pattern.test(els[i].className) ) {
                        classElements[j] = els[i];
                        j++;
                }
        }
        return classElements;
}
//end borrowed code

//getElementByClassName borrowed from http://www.robertnyman.com/2005/11/07/the-ultimate-getelementsbyclassname/
function getElementsByClassName(className, elm, tag){
    var testClass = new RegExp("(^|\\s)" + className + "(\\s|$)");
    var tag = tag || "*";
    var elm = elm || document;
    var elements = (tag == "*" && elm.all)? elm.all : elm.getElementsByTagName(tag);
    var returnElements = [];
    var current;
    var length = elements.length;
    for(var i=0; i<length; i++){
        current = elements[i];
        if(testClass.test(current.className)){
            returnElements.push(current);
        }
    }
    return returnElements;
}
//end borrowed code



/*
    Base, version 1.0.2
    Copyright 2006, Dean Edwards
    License: http://creativecommons.org/licenses/LGPL/2.1/
*/

var Base = function() {
    if (arguments.length) {
        if (this == window) { // cast an object to this class
            Base.prototype.extend.call(arguments[0], arguments.callee.prototype);
        } else {
            this.extend(arguments[0]);
        }
    }
};

Base.version = "1.0.2";

Base.prototype = {
    extend: function(source, value) {
        var extend = Base.prototype.extend;
        if (arguments.length == 2) {
            var ancestor = this[source];
            // overriding?
            if ((ancestor instanceof Function) && (value instanceof Function) &&
                ancestor.valueOf() != value.valueOf() && /\bbase\b/.test(value)) {
                var method = value;
            //  var _prototype = this.constructor.prototype;
            //  var fromPrototype = !Base._prototyping && _prototype[source] == ancestor;
                value = function() {
                    var previous = this.base;
                //  this.base = fromPrototype ? _prototype[source] : ancestor;
                    this.base = ancestor;
                    var returnValue = method.apply(this, arguments);
                    this.base = previous;
                    return returnValue;
                };
                // point to the underlying method
                value.valueOf = function() {
                    return method;
                };
                value.toString = function() {
                    return String(method);
                };
            }
            return this[source] = value;
        } else if (source) {
            var _prototype = {toSource: null};
            // do the "toString" and other methods manually
            var _protected = ["toString", "valueOf"];
            // if we are prototyping then include the constructor
            if (Base._prototyping) _protected[2] = "constructor";
            for (var i = 0; (name = _protected[i]); i++) {
                if (source[name] != _prototype[name]) {
                    extend.call(this, name, source[name]);
                }
            }
            // copy each of the source object's properties to this object
            for (var name in source) {
                if (!_prototype[name]) {
                    extend.call(this, name, source[name]);
                }
            }
        }
        return this;
    },

    base: function() {
        // call this method from any other method to invoke that method's ancestor
    }
};

Base.extend = function(_instance, _static) {
    var extend = Base.prototype.extend;
    if (!_instance) _instance = {};
    // build the prototype
    Base._prototyping = true;
    var _prototype = new this;
    extend.call(_prototype, _instance);
    var constructor = _prototype.constructor;
    _prototype.constructor = this;
    delete Base._prototyping;
    // create the wrapper for the constructor function
    var klass = function() {
        if (!Base._prototyping) constructor.apply(this, arguments);
        this.constructor = klass;
    };
    klass.prototype = _prototype;
    // build the class interface
    klass.extend = this.extend;
    klass.implement = this.implement;
    klass.toString = function() {
        return String(constructor);
    };
    extend.call(klass, _static);
    // single instance
    var object = constructor ? klass : _prototype;
    // class initialisation
    if (object.init instanceof Function) object.init();
    return object;
};

Base.implement = function(_interface) {
    if (_interface instanceof Function) _interface = _interface.prototype;
    this.prototype.extend(_interface);
};

// End borrowed code


var AjaxClient = Base.extend(
{
    requestObject: null,
    method: 'get',

    sendRequest: function(requestURL)
    {
        WDN.jQuery.ajax({
            success: function(data, status, xhr) {
                this.requestObject = xhr;
                this.processResponse();
            },
            context: this,
            type: this.method,
            url: requestURL
        });
    },

    processResponse: function() {}
});





function loadXMLDoc(url, handler_function)
{
    // branch for native XMLHttpRequest object
    if (window.XMLHttpRequest) {
        req = new XMLHttpRequest();
        eval( 'req.onreadystatechange = ' + handler_function + ';' );
        req.open("GET", url, true);
        req.send(null);
    // branch for IE/Windows ActiveX version
    } else if (window.ActiveXObject) {
        req = new ActiveXObject("Microsoft.XMLHTTP");
        if (req) {
            req.onreadystatechange = handler_function;
            req.open("GET", url, true);
            req.send();
        }
    }
}


function generateLoadingScreen()
{
    var loadingDiv = document.createElement('div');
    loadingDiv.style.position = 'fixed';
    loadingDiv.style.top = '0px';
    loadingDiv.style.right = '0px';
    loadingDiv.style.bottom = '0px';
    loadingDiv.style.left = '0px';

    var loadingText = loadingDiv.cloneNode(true);

    loadingDiv.id = 'loadingDiv';
    loadingDiv.style.backgroundColor = '#000';
    loadingDiv.style.opacity = 0.50;
    loadingDiv.style.zIndex = 5000;

    loadingText.id = 'loadingText';
    loadingText.style.zIndex = 5001;
    loadingText.style.opacity = 0.75;
    loadingText.style.paddingTop = '200px';
    loadingText.style.color = '#fff';
    loadingText.style.fontSize = '36px';

    var loadingBox = document.createElement('div');
    loadingBox.style.backgroundColor = '#000';
    loadingBox.style.marginLeft = 'auto';
    loadingBox.style.marginRight = 'auto';
    loadingBox.style.width = '400px';
    loadingBox.style.padding = '20px';
    loadingBox.style.lineHeight = '40px';
    loadingBox.style.MozBorderRadius = '20px';

    var loadingImg = document.createElement('img');
    loadingImg.src = '/images/loading.gif';

    loadingBox.appendChild(document.createTextNode('Please be extremely patient. Thanks.'));
    loadingBox.appendChild(document.createElement('br'));
    loadingBox.appendChild(document.createElement('br'));
    loadingBox.appendChild(loadingImg);

    loadingText.appendChild(loadingBox);

    loadingDiv.style.display = 'none';
    loadingText.style.display = 'none';

    document.getElementsByTagName('body').item(0).appendChild(loadingDiv);
    document.getElementsByTagName('body').item(0).appendChild(loadingText);

    return true;
}

function showLoading()
{
    var loadingDiv = document.getElementById('loadingDiv');
    var loadingText = document.getElementById('loadingText');

    loadingDiv.style.display = 'block';
    loadingText.style.display = 'block';

}

//Returns true if the passed value is found in the
//array. Returns false if it is not.
Array.prototype.inArray = function (value)
{
    for (var i = this.length - 1; i >= 0; i--) {
        if (this[i] == value) {
            return true;
        }
    }
    return false;
};



/* Code for the following function borrowed from http://www.electrictoolbox.com/javascript-clear-form/ */

function clearForm(ele) {

    tags = ele.getElementsByTagName('input');
    for(i = 0; i < tags.length; i++) {
        switch(tags[i].type) {
            case 'password':
            case 'text':
                tags[i].value = '';
                break;
            case 'checkbox':
            case 'radio':
                tags[i].checked = false;
                break;
        }
    }
   
    tags = ele.getElementsByTagName('select');
    for(i = 0; i < tags.length; i++) {
        if(tags[i].type == 'select-one') {
            tags[i].selectedIndex = 0;
        }
        else {
            for(j = 0; j < tags[i].options.length; j++) {
                tags[i].options[j].selected = false;
            }
        }
    }

    tags = ele.getElementsByTagName('textarea');
    for(i = 0; i < tags.length; i++) {
        tags[i].value = '';
    }
   
}

/* End borrowed code */




































