WDN.jQuery(function() {
    WDN.tabs.useHashChange = false;

    var newTabIndex = 0;

    WDN.tabs.useHashChange = false;
    WDN.jQuery('ul.wdn_tabs').on('tabchanged', function() {
        var selectedTab = WDN.jQuery(this).find('.selected');
        if (selectedTab.find('a').attr('href') != '#concentration-stub') {
            return;
        }

        newTabIndex++;

        var newTab = selectedTab.clone();
        selectedTab.before(newTab);

        newTab.find('a').attr('href', '#concentration-new' + newTabIndex);
        newTab.find('a span.name').text('New Concentration');

        var stubContent = WDN.jQuery('#concentration-stub');
        var newContent = stubContent.clone();
        newContent.attr('id', 'concentration-new' + newTabIndex);
        newContent.attr('data-concentration', 'new' + newTabIndex);

        var concentrationName = newContent.find('.concentration-name');
        concentrationName.attr('id', 'concentrations-new' + newTabIndex);
        concentrationName.attr('name', 'concentrations[new' + newTabIndex + ']');
        concentrationName.val('New Concentration');

        window.foobar = newContent.find('textarea').each(function() {
            this.name = this.name.replace('stub', 'new' + newTabIndex);
            this.id = this.id.replace('stub', 'new' + newTabIndex);
        });

        stubContent.before(newContent);

        setTimeout(function() {
            newTab.find('a').trigger('click');
        }, 50);
    });
    WDN.jQuery('ul.wdn_tabs').on('click', '.minibutton.remove', function() {
        var tab = WDN.jQuery(this).parent().parent();
        var content = WDN.jQuery(tab.find('a').attr('href'));

        tab.remove();
        content.remove();
        return false;
    });

    WDN.jQuery('.wdn_tabs_content').on('keyup', '.concentration-name', function() {
        WDN.jQuery('.wdn_tabs .selected a span.name').text(this.value);
    })


});
